ASTYLE(1)

NAME
astyle - multi-language indentation and reformatting filters

SYNOPSIS
astyle astyle [options] File1 [File2] [...]

DESCRIPTION
Artistic Style (or astyle) is a source code indenter, formatter and beautifier, written in C++. It handles the following programming languages:

    •   C

    •   C++

    •   C++/CLI

    •   Objective-C

    •   C#

    •   Java

USAGE
For the full usage, please refer to the HTML documentation provided with this distribution in /usr/doc/astyle-3.1/html/astyle.html.

astyle has many command-line options. For a summary, run "astyle --help | less".

Please note that when indenting a specific file the newly indented file retains the original filename, while a copy of the original file is created, with a suffix of ".orig" added to the original filename.

OPTIONS
Here is a brief list of options, copied from the HTML documentation. Most of these can appear either as command line options (with -- prefixed) or option file directives.
Brace Style Options
   default brace style    style=allman    style=java    style=kr
   style=stroustrup    style=whitesmith    style=vtk    style=ratliff    style=gnu
   style=linux    style=horstmann    style=1tbs    style=google    style=mozilla
   style=pico    style=lisp
Tab Options
   default indent    indent=spaces    indent=tab    indent=force-tab
   --indent=force-tab-x
   Brace Modify Options
   attach-namespaces    attach-classes    attach-inlines    attach-extern-c
   attach-closing-while
Indentation Options
   indent-classes    indent-modifiers    indent-switches    indent-cases
   indent-namespaces    indent-after-parens    indent-continuation
   indent-labels    indent-preproc-block    indent-preproc-define
   indent-preproc-cond    indent-col1-comments    min-conditional-indent
   max-continuation-indent
Padding Options
   break-blocks    break-blocks=all    pad-oper    pad-comma    pad-paren
   pad-paren-out    pad-first-paren-out    pad-paren-in    pad-header
   unpad-paren    delete-empty-lines    fill-empty-lines    align-pointer
   align-reference
Formatting Options
   break-closing-braces    break-elseifs    break-one-line-headers    add-braces
   add-one-line-braces    remove-braces    break-return-type    attach-return-type
   keep-one-line-blocks    keep-one-line-statements    convert-tabs
   close-templates    remove-comment-prefix    max-code-length
   break-after-logical    mode
Objective-C Options
   pad-method-prefix    unpad-method-prefix    pad-return-type
   unpad-return-type    pad-param-type    unpad-param-type    align-method-colon
   pad-method-colon
Other Options
   suffix    suffix=none    recursive    dry-run    exclude
   ignore-exclude-errors    ignore-exclude-errors-x    errors-to-stdout
   preserve-date    verbose    formatted    quiet    lineend
Command Line Only
   options    project    ascii    version    help    html    html=    stdin=
   stdout=

SEE ALSO
indent(1) http://astyle.sourceforge.net/
http://www.sourceforge.net/projects/astyle/
/usr/doc/astyle-3.1/html/astyle.html

AUTHOR
Artistic Style was originally written by Tal Davidson <davidsont@bigfoot.com> and is currently maintained by Jim Pattee <jimp03@email.com>. This stub manual page was written by Matteo Cypriani <mcy@lm7.fr> for the Debian project, and modified by B. Watson <yalhcru@gmail.com> for the SlackBuilds.org project.